### Function

# GLib log_set_debug_enabled

since: 2.72

#### Declaration

    void
    g_log_set_debug_enabled (
      gboolean enabled
    )

#### Description

Enable or disable debug output from the GLib logging system for all domains.

This value interacts disjunctively with `G_MESSAGES_DEBUG` and `g_log_writer_default_set_debug_domains()` — if any of them would allow a debug message to be outputted, it will be.

Note that this should not be used from within library code to enable debug output — it is intended for external use.

Available since: 2.72

#### Parameters

`enabled`

  Type: `gboolean`

  `TRUE` to enable debug output, `FALSE` otherwise.